stages:
    - build
image: gitlab-registry.cern.ch/atlas-htt/htt_container:htt_build
variables:
  GIT_SUBMODULE_STRATEGY: recursive
  EOS_PATH: /eos/user/h/httswdev/www/HTT_release/SWReleases
  CI_OUTPUT_DIR: deploy/
  EOS_ACCOUNT_USERNAME: httswdev
  METHOD: rsync
job_build_gcc:
    stage: build
    only:
      - tags
    script:
      - source /cvmfs/atlas.cern.ch/repo/sw/tdaq/tools/cmake_tdaq/bin/cm_setup.sh  tdaq-08-03-01
      - export TDAQ_LD_LIBRARY_PATH=$LD_LIBRARY_PATH
      - HTT_RELEASE_VERSION=$(python script/release_conversion.py $CI_COMMIT_REF_NAME)
      - echo Release to be built $HTT_RELEASE_VERSION
      - echo Release to be built $CI_COMMIT_REF_NAME
      - source script/CMakeCreator.sh
      - cmake_config $CMTCONFIG
      - cd $CMTCONFIG
      - make -j6
      - make install
      - cd .. ; tar -cf installed.tar installed/
      - cp installed.tar $CI_COMMIT_REF_NAME.tar 
      - mkdir -p deploy/
      - mv $CI_COMMIT_REF_NAME.tar deploy/
      - echo $CI_COMMIT_REF_NAME > deploy/release.txt
      - deploy-eos

